#!/bin/sh

HOOK_DIR="/var/packages/ActiveBackup-Office365/target/bin/hook"
PKG_INFO="${HOOK_DIR}/pkg-info"
VOLUME_HOOK="${HOOK_DIR}/volume-hook"

case $1 in
	# print package info
	--name|--pkg-ver|--vendor)
		${PKG_INFO} $1
	;;

	# print SDK module version
	--sdk-mod-ver)
		${VOLUME_HOOK} --sdk-mod-ver
	;;

	# execute post hook
	--post)
		${VOLUME_HOOK} --post-mount
	;;


	*)
	;;
esac
