#!/bin/sh
# Copyright (c) 2022 Synology Inc. All rights reserved.

SHARE_NAME="$1"
STARTER_PATH="/var/packages/ActiveBackup-Office365/target/bin/ActiveBackup-Office365-Starter"

${STARTER_PATH} --feasibility-check-encrypted-share-change-volume "${SHARE_NAME}"
if [ $? -eq 1 ]; then
	echo "Active Backup for Microsoft 365";
	exit 1;
else
	exit 0;
fi
